EDIT - bug #6318

Truncate TextData in FactualData View
01/09/2017 06:03 PM - Andreas Miiller

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal Found in Version:

Description

Walter:

Hallo Andreas,
wir sind jetzt der Sache mit den angeblich verstimmelten Editorial Notes und Notes auf die Spur gekommen.

Zum Fall 2: Der Eintrag im BM ist folgender: (Eintrag mit Zeilenumbruch)
In der Platform kommt im Factual Data Fenster nur der Teil vor dem Zeilenumbruch heraus: (Nur erste Zeile im Factual Data View)

In den Details ist dann der volle Eintrag vorhanden. Das irritiert etwas, da ohne Zeilenumbruch offenbar der ganze vorhandene Text
angezeigt wird, z.B.: (Beispiel Notes fiir Calatola laevigata Standl.)

Das sollte man irgendwie vereinheitlichen, z.B. indem im Factual Data Fenster der Text umgebrochen wird (und Text nach dem
coded-Umbruch auch angezeigt wird). Das hétte den Vorteil, dass man mehrere Facts gleichzeitig ansehen und eventuell auch
rauskopieren kdnnte.

Alternativ ware eine grundsatzliche Kirzung auf z.B. 60 Zeichen gefolgt von einem verstandlichen Kirzungssymbol (z.B. ...), falls
mehr Text (incl. Zeilenumbr.) vorhanden ist.

Andreas:

Da wirde ich dann auf die Alternative pladieren, da der Factual Data View eigentlich nur andeuten soll, um welche Daten es sich
handelt und keinen Anspruch auf Vollstéandigkeit hat. Das kdnnte sonst einiges zerschief3en, bei sehr langen Texten.
Ein Vergleichsview waére sicherlich hilfreich, aber sollte wohl eher anders implementiert werden.

Associated revisions

Revision 45e3e635 - 03/09/2018 03:05 PM - Patrick Plitzner

fix #6318 Truncate TextData in FactualData View

Revision 7a676646 - 05/03/2018 12:16 PM - Patrick Plitzner
ref #6318 Remove LF and CR from description text

Revision baff86ea - 05/07/2018 11:33 AM - Patrick Plitzner
ref #6318 Replace LF and CR from description text with space (" ")

History

#1 - 01/30/2017 03:48 PM - Andreas Miiller
- Assignee changed from Katja Luther to Patrick Plitzner
- Priority changed from New to Priority13

- Target version changed from Unassigned CDM tickets to Release 4.6

#2 - 03/10/2017 08:47 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#3 - 05/11/2017 10:22 AM - Andreas Miiller
- Target version changed from Release 4.7 to Release 4.8

#4 - 07/06/2017 10:26 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#5 - 07/21/2017 10:29 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#6 - 09/24/2017 04:19 PM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#7 - 11/08/2017 11:21 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#8 - 12/05/2017 02:15 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#9 - 01/31/2018 12:30 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#10 - 02/15/2018 03:25 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#11 - 03/09/2018 03:05 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|[45e3e6351c764c3055344db6aba5f80e30{3a328.

#12 - 03/09/2018 03:07 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Miiller

#13 - 04/27/2018 04:03 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Patrick Plitzner

- % Done changed from 50 to 70

Generally this looks fine.

Can we add functionality to remove line breaks(+ carriage return?). Otherwise the truncation sign can not be seen if the line break is before the max
number of visible characters.

#14 - 05/03/2018 12:17 PM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Muiller

- % Done changed from 70 to 80

removed LF and CR

#15 - 05/06/2018 01:57 PM - Andreas Miiller

- Private changed from Yes to No

#16 - 05/06/2018 02:00 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

Maybe we can be replace LF still by space " " or even by slash "/" so it is visible that there is some kind of break. Otherwise the text may look strange.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/45e3e6351c764c3055344db6aba5f80e30f3a328

We can close the ticket once this is implemented.

#17 - 05/07/2018 11:34 AM - Patrick Plitzner
- Status changed from Feedback to Closed
- % Done changed from 80 to 100

Replace LF and CR with " "
